Page MenuHomePhabricator

Add "not in" namespace option to Lint error page
Closed, ResolvedPublic

Description

Steps to reproduce

  1. Go to Special:LintErrors
  2. Choose some error category and show list of affected pages
  3. Try to avoid userspace

Expected behavior
There should be a possibility like in Special:Watchlist or Special:Recentchanges to switch selection and avoid some namespace (e.g. userspace)

Details

Related Gerrit Patches:
mediawiki/extensions/Linter : masterAdd invert namespace option to Special:LintErrors

Event Timeline

Dvorapa created this task.Aug 7 2017, 3:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2017, 3:47 PM
Dvorapa updated the task description. (Show Details)Aug 7 2017, 3:47 PM
Izno added a subscriber: Izno.EditedAug 23 2017, 3:02 PM

It would be nice to have a quick filter for "is in content space"/"is not in content space" also.

DannyS712 added a subscriber: DannyS712.

It would be nice to have a quick filter for "is in content space"/"is not in content space" also.

I suggest opening a separate task for that, and adding T173178: Add "content namespaces" option to namespace dropdowns in special pages as a parent task. I should be able to submit a patch soon to add an "invert" option to the namespace choice

Restricted Application added a project: User-DannyS712. · View Herald TranscriptAug 22 2019, 2:59 AM
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Aug 22 2019, 9:47 AM

Change 532129 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Linter@master] Add invert namespace option to Special:LintErrors

https://gerrit.wikimedia.org/r/532129

Change 532129 merged by jenkins-bot:
[mediawiki/extensions/Linter@master] Add invert namespace option to Special:LintErrors

https://gerrit.wikimedia.org/r/532129

matmarex closed this task as Resolved.Sep 5 2019, 4:08 PM